Name: python-windmill
Version: 1.7
Release: 0.2.git4304ee7%{?dist}
Summary: A web application testing framework
License: ASL 2.0
URL: http://getwindmill.com
# https://nodeload.github.com/windmill/windmill/tarball/master
Source0: windmill-windmill-v1.5.0-beta-9-g4304ee7.tar.gz
Patch0: python-windmill-nodeps.patch
BuildRequires: python-devel python-setuptools trac
BuildArch: noarch
Requires: python-mozrunner
Requires: python-wsgi-jsonrpc
Requires: python-functest

%description
Windmill is an open source AJAX Web UI Testing framework. It
implements cross browser testing, in-browser recording and playback,
and functionality for fast accurate debugging and test environment
integration.

%prep
%setup -q -n windmill-windmill-4304ee7
%patch0 -p1 -b .nodeps

# Remove embedded dependencies
#
# We keep embedded simplesettings dependency, because it's so simple
# that it doesn't deserve a separate package (see
# https://bugzilla.redhat.com/show_bug.cgi?id=513779).
#
# We keep embedded wsgi_fileserver and wsgi_xmlrpc, because both
# "projects" come from the same author and they are too simple (a few
# lines of code in single source file).
# URL: http://code.google.com/p/wsgi-fileserver/
# URL: http://code.google.com/p/wsgi-xmlrpc/
rm -r windmill/dep/_{simplejson,functest,mozrunner,wsgi_jsonrpc}
rm windmill/dep/_uuid.py

rm windmill/xpi/*.xpi


# Set proper file mode
chmod -x windmill/html/css/jquery.css
chmod -x windmill/html/js/lib/jquery/jquery-1.4.4.min.js
chmod -x windmill/html/css/smoothness/jquery-ui-1.7.custom.css
chmod -x windmill/html/js/lib/jquery/jquery-ui-1.8.6.custom.min.js
chmod -x windmill/html/js/lib/browserdetect.js
chmod -x windmill/html/css/dark-hive/jquery-ui-1.8.6.custom.css

%build
%{__python} setup.py build

%check
cp -r %{python_sitelib}/trac .
%{__python} setup.py test

%install
%{__python} setup.py install -O1 --root %{buildroot}

chmod +x %{buildroot}%{python_sitelib}/windmill/bin/windmill_bin.py
chmod +x %{buildroot}%{python_sitelib}/windmill/bin/shell_objects.py
chmod +x %{buildroot}%{python_sitelib}/windmill/server/jsmin.py

%files
%doc README.txt LICENSE.txt
%{python_sitelib}/*
%{_bindir}/windmill

%changelog
* Thu Mar  8 2012 Karel Klíč <kklic@redhat.com> - 1.7-0.2.git4304ee7
- Added trac to build dependencies (%%check works now)

* Mon Jan  2 2012 Karel Klíč <kklic@redhat.com> - 1.7-0.1.git4304ee7
- Initial packaging
